Subject: Re: [Bier] Comments on draft-ietf-bier-pmmm-oam-04

From: Greg Mirsky <[email-masked]>
Date: Mon, 10 Dec 2018 16:17:57 +0000

Hi Saneesh,
thank you for your feedback. Please kindly consider the update to the draft
reflected in the attached diff. Please let us know if the changes address
your comments.

Regards,
Greg

On Mon, Nov 26, 2018 at 4:31 PM Suneesh <[email-masked]> wrote:

> Thanks Greg for the update, please find my comments inline below.
>
> Regards,
> Suneesh
>
> On Thu, Nov 22, 2018 at 12:09 AM Greg Mirsky <[email-masked]>
> wrote:
>
>> Now with the updated address to reach Giuseppe.
>>
>> On Wed, Nov 21, 2018 at 10:37 AM Greg Mirsky <[email-masked]>
>> wrote:
>>
>>> Hi Suneesh,
>>> thank you for the feedback and the detailed questions. Please find my
>>> responses and notes in-line below tagged GIM>>.
>>>
>>> Regards,
>>> Greg
>>>
>>> On Mon, Nov 19, 2018 at 9:24 AM Suneesh <[email-masked]> wrote:
>>>
>>>> Hi Greg,
>>>>
>>>> I have following comments on PMMM draft, please share your thoughts.
>>>>
>>>> Q1. Can you please share how the draft is viewed as a hybrid model?
>>>>
>>> GIM>> RFC 7799 provided the definition of active and passive measurement
>>> methods. Hybrid methods are "in between" these two groups. Even though the
>>> Alternate marking in BIER domain may use already preallocated field, it
>>> does change the content of the header by applying the marking values in the
>>> OAM field. Thus it is neither passive, nor active method but "in between",
>>> i.e., hybrid. Would you agree?
>>>
>> Suneesh>>> Agreed
>
>>
>>>> Ref: Section-3:
>>>>
>>>> <snip>
>>>>    the marking method in BIER layer can be viewed as the example of the
>>>>    hybrid performance measurement method
>>>> </snip>
>>>>
>>>>
>>>> Q2. Can you please define what is meant by sub-flows
>>>>    a). Is the sub-flow set of flows on which marking method is applied
>>>> OR
>>>>    b). sub-flow-1 with say marking 0 and sub flow-2 with say marking 1
>>>> OR
>>>>    c). Being a hybrid model, draft proposes to duplicate the multicast
>>>> stream which is having marking and treated those as sub-flows?
>>>>
>>> GIM>> We use the term "sub-flow" as you've described in b).
>>>
>> Suneesh>>> Would be great if we can capture in the draft for more
> clarity
>
>> Ref: Section-4: Theory of Operation
>>>> <snip>
>>>>    Using the marking method a BFR creates distinct sub-flows in the
>>>>    particular multicast traffic over BIER layer
>>>> </snip>
>>>>
>>>>
>>>> Q3. Is there any recommended values for 'number of packets' or/and
>>>> 'time duration' for alternate marking method
>>>>     a). Just to know what is recommended to avoid say number of
>>>> packets/time duration = 1
>>>>
>>> GIM>> You're right, 1 or even 2 would not be useful. 3 packets? May be.
>>>
>>>>
>>>> Q4. Lets say that the nodes is like A->B->C->D->F->G->H->I, the segment
>>>> of interest is B->C->D for performance measurement
>>>>   a). Does the alternate marking values will clear from node D onwards?
>>>>   b). If not, what is recommended if we wish to measure between G->H->I
>>>>
>>> GIM>> Very good question. It is expected that the marking values be
>>> cleared at the edge of BIER domain and thus an operator may enable
>>> measurements on segment G-H-I at any time.
>>>
>> Suneesh>> Please consider adding it to the draft
>
>>
>>>> Ref: Section-4: Theory of Operation
>>>>
>>>> <snip>
>>>>   Any combination of markings, Loss and/or Delay, can be applied to a
>>>> multicast flow by
>>>>   any Bit Forwarding Router (BFR) at either ingress or egress point to
>>>>    perform node, link, segment or end-to-end measurement to detect
>>>>    performance degradation defect and localize it efficiently.
>>>> </snip>
>>>>
>>>> Q5. Can we somewhere capture that 'proto' field of BIER header should
>>>> not be "OAM request/reply", though we are using OAM bits in header.
>>>>
>>>> <snip>
>>>>    The OAM field MUST be used only
>>>>    for the performance measurement of data traffic in BIER layer.
>>>> </snip>
>>>>
>>>>
>>> GIM>> I think it would be too restrictive. One may want to measure
>>> performance of BIER OAM.
>>>
>> Suneesh >>> I understood your point. Thanks.
>
>
>> Regards,
>>>> Suneesh
>>>>
>>>

---

From: Suneesh <[email-masked]>
Date: Mon, 10 Dec 2018 22:56:58 +0530

Hi Greg,

Thanks, I'm a little confused about the following statement on clearing the
marking.
<snip>
It is expected that the marking values be set and cleared at the edge of
BIER domain.
</snip>

Is it edge of BIER domain or edge of measurement domain(link or segment or
end to end).  Please let me know.

Regards,
Suneesh

On Mon, Dec 10, 2018 at 9:48 PM Greg Mirsky <[email-masked]> wrote:

> Hi Saneesh,
> thank you for your feedback. Please kindly consider the update to the
> draft reflected in the attached diff. Please let us know if the changes
> address your comments.
>
> Regards,
> Greg
>
>>>> GIM>> RFC 7799 provided the definition of active and passive
>>>> measurement methods. Hybrid methods are "in between" these two groups. Even
>>>> though the Alternate marking in BIER domain may use already preallocated
>>>> field, it does change the content of the header by applying the marking
>>>> values in the OAM field. Thus it is neither passive, nor active method but
>>>> "in between", i.e., hybrid. Would you agree?
>>>>
>>> Suneesh>>> Agreed
>>
>>>
>>>>> Ref: Section-3:
>>>>>
>>>>> <snip>
>>>>> Q4. Lets say that the nodes is like A->B->C->D->F->G->H->I, the
>>>>> segment of interest is B->C->D for performance measurement

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 10 Dec 2018 17:44:37 +0000

Hi Suneesh,
if the marking removed at the edge of the initial AltMark measurement
domain, then adding the new measurement points would require communicating,
coordinating more state than if the AltMark domain matches the BIER domain
from the beginning. Would you agree?

Regards,
Greg

On Mon, Dec 10, 2018 at 5:27 PM Suneesh <[email-masked]> wrote:

> Hi Greg,
>
> Thanks, I'm a little confused about the following statement on clearing
> the marking.
> <snip>
>>>>>>    a). Is the sub-flow set of flows on which marking method is
>>>>>> applied OR
>>>>>>    b). sub-flow-1 with say marking 0 and sub flow-2 with say marking
>>>>>> 1 OR
>>>>>>    c). Being a hybrid model, draft proposes to duplicate the
>>>>>> multicast stream which is having marking and treated those as sub-flows?
>>>>>>

---

From: Suneesh <[email-masked]>
Date: Tue, 11 Dec 2018 08:28:02 +0530

Hi Greg,

Ok, agree that point.
So the marking always starts at the BFIR(Bit Forwarding Ingress Router),
which can be used for PMM at node, link, segment or end-to-end level.

Regards,
Suneesh

On Mon, Dec 10, 2018 at 11:14 PM Greg Mirsky <[email-masked]> wrote:

>> Is it edge of BIER domain or edge of measurement domain(link or segment
>> or end to end).  Please let me know.
>>
>> Regards,
>> Suneesh
>>
>>>>>>>   Any combination of markings, Loss and/or Delay, can be applied to
>>>>>>> a multicast flow by
>>>>>>> Q5. Can we somewhere capture that 'proto' field of BIER header
>>>>>>> should not be "OAM request/reply", though we are using OAM bits in header.
>>>>>>>
>>>>>>> <snip>

---

From: Greg Mirsky <[email-masked]>
Date: Tue, 11 Dec 2018 06:49:31 +0000

Hi Suneesh,
yes, as you've suggested, the AltMark domain may be arbitrary and not
identical to the BIER domain. But from operational PoV, I believe, it is
useful to apply AltMark at BFIR and then clear them by removing BIER
encapsulation at BFERs.

Please let me know if you agree and the proposed change addressed your
comments. Then I'll upload the new version of the draft.

Regards,
Greg

On Tue, Dec 11, 2018 at 2:58 AM Suneesh <[email-masked]> wrote:

>>>>>>> thank you for the feedback and the detailed questions. Please find
>>>>>>> my responses and notes in-line below tagged GIM>>.
>>>>>>>
>>>>>>> Regards,
>>>>>>> Greg
>>>>>>>
>>>>>>>>    b). sub-flow-1 with say marking 0 and sub flow-2 with say
>>>>>>>> marking 1 OR